<template>
    <view class="content">
        <view class="input-group">
            <view class="input-row border">
                <text class="title">账号：</text>
                <input type="text" v-model="username" focus placeholder="您的中文名">
            </view>
            <view class="input-row">
                <text class="title">密码：</text>
                <input type="text" password="true" v-model="password" placeholder="默认密码123456">
            </view>
        </view>
        <view class="btn-row">
            <button type="primary" class="primary" @tap="bindLogin">登录</button>
        </view>
    </view>
</template>

<script>
	import service from '../../services/index.js';
    import { mapState, mapMutations, mapGetters } from 'vuex'

    export default {
        data() {
            return {
                username: '胡文斌',
                password: '123456'
            }
        },
		computed: {
			...mapGetters(['getUserInfo']) 
		},
        methods: {
            ...mapMutations(['setUserInfo']),
            async bindLogin() {
                if (!this.username) return uni.showToast({ icon: 'none', title: '用户名不可为空' });
                if (!this.password) return uni.showToast({ icon: 'none', title: '密码不可为空' });
				let userInfo = await service.user.login(this.username, this.password);
                userInfo && this.toMain(userInfo);
            },
			toMain(userInfo){
				this.setUserInfo(userInfo);
				uni.reLaunch({ url: '../main/index' });
			}
        },
        onLoad() {
			//	获取本地缓存中的用户信息
			let result = this.getUserInfo;
			if (result){
				//	当存在用户信息后判断上次登录时间是否小于2天
				if (Date.now() - result.loginTime <= 1000 * 60 * 60 * 24 * 2){
					//	未小于2天，更新上次登录时间并登录
					result.loginTime = Date.now();
					this.toMain(result);
				}else{
					//	超过2天后要求重新登录
					uni.showToast('登录超时，请重新登录!');
				}
			}
			
        }
    }
</script>

<style>
    .action-row {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .action-row navigator {
        color: #007aff;
        padding: 0 20px;
    }

    .oauth-row {
        display: flex;
        flex-direction: row;
        justify-content: center;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
    }

    .oauth-image {
        width: 100px;
        height: 100px;
        border: 1px solid #dddddd;
        border-radius: 100px;
        margin: 0 40px;
        background-color: #ffffff;
    }

    .oauth-image image {
        width: 60px;
        height: 60px;
        margin: 20px;
    }
</style>
